<!doctype html>
<html lang="en">

<head>
    <title>Title</title>
    <!-- Required meta tags -->
    <meta charset="utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
    <!-- Jquery -->
    <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.5.1/jquery.min.js"></script>

    <!-- Bootstrap CSS -->
    <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.3.1/css/bootstrap.min.css"
        integrity="sha384-ggOyR0iXCbMQv3Xipma34MD+dH/1fQ784/j6cY/iJTQUOhcWr7x9JvoRxT2MZw1T" crossorigin="anonymous">
</head>

<body>

    <div class="container col-7">
        <h3 class="text-center mb-3">
            Update user
        </h3>
        <div class="row  form-group">
            <label for="" class="col-sm-2">FirstName</label>
            <input id="inp-fname" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">FirstName</label>
            <input id="inp-lname" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Subject</label>
            <input id="inp-subject" type="text" class="form-control col-sm-10">
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Country</label>
            <select name="" id="select-country" class="form-control col-sm-10">
                <option value="">Chọn country</option>
            </select>
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">CustomerType</label>
            <select name="" id="select-customer" class="form-control col-sm-10">
                <option value="">Chọn CustomerType</option>
            </select>
        </div>
        <div class="row  form-group">
            <label for="" class="col-sm-2">Register</label>
            <select name="" id="select-register" class="form-control col-sm-10">
                <option value="">Chọn Regi ster</option>
            </select>
        </div>
        <div class="row  form-group mt-5">
            <div class="col-sm-6">
                <button class="btn btn-success w-100">Update user</button>
            </div>
            <div class="col-sm-6">
                <button class="btn btn-danger w-100">Hủy bỏ</button>
            </div>


        </div>
    </div>
</body>
<script>
    "use strict";
    /*** REGION 1 - Global variables - Vùng khai báo biến, hằng số, tham số TOÀN CỤC */
    const gBASE_URL = "http://203.171.20.210:8080/crud-api/users/";
    var gIdUser = "";
    var vUrl = window.location.href;
    var vStringUrl = new URL(vUrl);
    gIdUser = vStringUrl.searchParams.get("id");
    /*** REGION 2 - Vùng gán / thực thi sự kiện cho các elements */
    $(document).ready(function () {
        onLoadDataCountry();
        onLoadDataCustomer();
        onLoadDataRegister();
        goiApiUserDetail();
    })
    /*** REGION 3 - Event handlers - Vùng khai báo các hàm xử lý sự kiện */
    function onLoadDataUserDetail(paramRes) {
        $("#inp-fname").val(paramRes.firstname);
        $("#inp-lname").val(paramRes.lastname);
        $("#inp-subject").val(paramRes.subject);
        $("#select-country").val(paramRes.country);
        $("#select-customer").val(paramRes.customerType);
        $("#select-register").val(paramRes.registerStatus);
    }

    /*** REGION 4 - Common funtions - Vùng khai báo hàm dùng chung trong toàn bộ chương trình*/
    function goiApiUserDetail() {
        $.ajax({
            url: gBASE_URL + gIdUser,
            type: "GET",
            success: function (res) {
                console.log(res);
                onLoadDataUserDetail(res);
            },
            error: function (error) {
                console.log(error.status);
            }
        })
    }
    function onLoadDataCountry() {
        var vSelectCountry = $("#select-country");
        var vArrayCountry = [
            { "IdCountry": "VN", "Country": "Việt Nam" },
            { "IdCountry": "USA", "Country": "USA" },
            { "IdCountry": "AUS", "Country": "AUS" },
            { "IdCountry": "CANA", "Country": "Canada" }];
        for (var bI = 0; bI < vArrayCountry.length; bI++) {
            $("<option/>", {
                value: vArrayCountry[bI].IdCountry,
                text: vArrayCountry[bI].Country
            }).appendTo(vSelectCountry);
        }
    }
    function onLoadDataCustomer() {
        var vSelectCutomer = $("#select-customer");
        var vArrayCustomer = ["Standard", "Gold", "Premium"];
        for (var bI = 0; bI < vArrayCustomer.length; bI++) {
            $("<option/>", {
                value: vArrayCustomer[bI],
                text: vArrayCustomer[bI]
            }).appendTo(vSelectCutomer);
        }
    }
    function onLoadDataRegister() {
        var vSelectRegister = $("#select-register");
        var vArrayResgister = ["New", "Accepted", "Denied"];
        for (var bI = 0; bI < vArrayResgister.length; bI++) {
            $("<option/>", {
                value: vArrayResgister[bI],
                text: vArrayResgister[bI]
            }).appendTo(vSelectRegister);
        }
    }



</script>

</html>